Lists menu issues.
HTTP request
GET https://foodorderingaiagent.googleapis.com/v1/{parent=projects/*/locations/*/menus/*}/issues
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
parent |
Required. The parent menu containing the issues to list. Format: projects/{project}/locations/{location}/menus/{menu} |
Query parameters
| Parameters | |
|---|---|
pageSize |
Optional. The maximum number of menu issues to return. The service may return fewer than this value. If unspecified, at most 50 menu issues will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000. |
pageToken |
Optional. A page token received from a previous |
filter |
Optional. Useful for the UI to filter by State (e.g., state="OPEN") or EntityType. |
Request body
The request body must be empty.
Response body
Response message for MenuService.ListMenuIssues.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"menuIssues": [
{
object ( |
| Fields | |
|---|---|
menuIssues[] |
The list of retrieved menu issues. |
nextPageToken |
A token that can be sent as |
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.